<?xml version="1.0" encoding="UTF-8"?>
<Document>
    <PluginList>
        <Plugin id="ED_SplitterBool" name="ED Splitter Bool" imbeddedFilename="ED_GUI.sem">
            <GUI>
                <Pin name="Direction" datatype="enum" default="2" isMinimised="true" metadata="-&gt;,&lt;-,&lt;-&gt;"/>
                <Pin name="Propag Ins" datatype="bool" default="1" isMinimised="true"/>
                <Pin name="Out" datatype="bool" direction="out"/>
                <Pin name="In (spare)" datatype="bool" autoDuplicate="true"/>
            </GUI>
        </Plugin>
        <Plugin id="GR-8 Knob" name="GR-8 Knob" imbeddedFilename="GR8Knob.sem">
            <GUI graphicsApi="GmpiGui">
                <Pin name="Animation Position" datatype="float"/>
                <Pin name="Hint" datatype="string"/>
                <Pin name="Menu Items" datatype="string"/>
                <Pin name="Menu Selection" datatype="int"/>
                <Pin name="Mouse Down" datatype="bool"/>
                <Pin name="Background" datatype="string" default="00000000"/>
                <Pin name="Forground" datatype="string"/>
                <Pin name="Read-only" datatype="bool" isMinimised="true"/>
            </GUI>
        </Plugin>
        <Plugin id="Image3" name="Image2" imbeddedFilename="SubControlsXp.sem">
            <GUI graphicsApi="GmpiGui">
                <Pin name="Animation Position" datatype="float"/>
                <Pin name="Filename" datatype="string" default="knob_sm" isFilename="true" metadata="bmp"/>
                <Pin name="Hint" datatype="string"/>
                <Pin name="Menu Items" datatype="string"/>
                <Pin name="Menu Selection" datatype="int"/>
                <Pin name="Mouse Down" datatype="bool" direction="out" private="true"/>
                <Pin name="Mouse Down" datatype="bool"/>
                <Pin name="Frame Count" datatype="int" private="true"/>
                <Pin name="Frame Count" datatype="int" direction="out"/>
                <Pin name="Mouse Response" datatype="enum" default="-1" isMinimised="true" metadata="off=-2, auto=-1, vertical=0, horizontal=1, clicks=2, rotary=3, step=4"/>
            </GUI>
        </Plugin>
        <Plugin id="SE BPM Tempo" name="BPM Tempo" imbeddedFilename="BpmClock3.sem">
            <Audio>
                <Pin name="Host BPM" datatype="float" private="true" hostConnect="Time/BPM"/>
                <Pin name="Host Transport" datatype="bool" private="true" hostConnect="Time/TransportPlaying"/>
                <Pin name="Tempo Out" datatype="float" rate="audio" direction="out"/>
                <Pin name="Transport Run" datatype="float" rate="audio" direction="out"/>
                <Pin name="" datatype="int" private="true" hostConnect="Processor/ClearTails"/>
                <Pin name="Processor Resumed" datatype="bool" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE Blob2ToBlob" name="Blob2 To Blob" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="Blob2 Val" datatype="blob2"/>
                <Pin name="Blob Val" datatype="blob" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE BlobToBlob2" name="Blob To Blob2" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="Blob Val" datatype="blob"/>
                <Pin name="Blob2 Val" datatype="blob2" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE BoolToFloat" name="Bool To Float" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="Bool Val" datatype="bool"/>
                <Pin name="Float Val" datatype="float" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE BoolToFloat GUI" name="Bool To Float" imbeddedFilename="Converters.sem">
            <GUI>
                <Pin name="Bool Val" datatype="bool"/>
                <Pin name="Float Val" datatype="float" direction="out"/>
            </GUI>
        </Plugin>
        <Plugin id="SE BoolToInt" name="Bool To Int" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="Bool Val" datatype="bool"/>
                <Pin name="Int Val" datatype="int" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE BoolToInt GUI" name="Bool To Int" imbeddedFilename="Converters.sem">
            <GUI>
                <Pin name="Bool Val" datatype="bool"/>
                <Pin name="Int Val" datatype="int" direction="out"/>
            </GUI>
        </Plugin>
        <Plugin id="SE BoolToText" name="Bool To Text" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="Bool Val" datatype="bool"/>
                <Pin name="Text Val" datatype="string" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE BoolToVolts" name="Bool to Volts" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="In" datatype="bool"/>
                <Pin name="Out" datatype="float" rate="audio" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE Bools To Int2" name="Bools To Int" imbeddedFilename="Converters.sem">
            <GUI>
                <Pin name="Int Val" datatype="int" direction="out"/>
                <Pin name="Bool Val" datatype="bool" autoDuplicate="true"/>
            </GUI>
        </Plugin>
        <Plugin id="SE Concat" name="Concat" imbeddedFilename="SubControlsXp.sem">
            <GUI>
                <Pin name="Text" datatype="string"/>
                <Pin name="Text" datatype="string"/>
                <Pin name="Concatenated" datatype="string" direction="out"/>
            </GUI>
        </Plugin>
        <Plugin id="SE Float Function GUI" name="Float Function" imbeddedFilename="Converters.sem">
            <GUI>
                <Pin name="A" datatype="float"/>
                <Pin name="B" datatype="float" direction="out"/>
                <Pin name="Formula: A=" datatype="string" default="B*2"/>
                <Pin name="Formula: B=" datatype="string" default="A/2"/>
            </GUI>
        </Plugin>
        <Plugin id="SE Float Scaler2" name="Float Scaler2" imbeddedFilename="Converters.sem">
            <GUI>
                <Pin name="Value Out" datatype="float" direction="out"/>
                <Pin name="Multiply by" datatype="float" default="1"/>
                <Pin name="Add" datatype="float"/>
                <Pin name="Value In" datatype="float"/>
            </GUI>
        </Plugin>
        <Plugin id="SE Float64ToFloat" name="Double To Float" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="Double Val" datatype="double"/>
                <Pin name="Float Val" datatype="float" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE Float64ToFloatGui" name="Double To Float" imbeddedFilename="Converters.sem">
            <GUI>
                <Pin name="Double Val" datatype="double"/>
                <Pin name="Float Val" datatype="float" direction="out"/>
            </GUI>
        </Plugin>
        <Plugin id="SE FloatToBool" name="Float To Bool" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="Float Val" datatype="float"/>
                <Pin name="Bool Val" datatype="bool" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE FloatToFloat64" name="Float To Double" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="Float Val" datatype="float"/>
                <Pin name="Double Val" datatype="double" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE FloatToFloat64Gui" name="Float To Double" imbeddedFilename="Converters.sem">
            <GUI>
                <Pin name="Float Val" datatype="float"/>
                <Pin name="Double Val" datatype="double" direction="out"/>
            </GUI>
        </Plugin>
        <Plugin id="SE FloatToInt" name="Float To Int" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="Float Val" datatype="float"/>
                <Pin name="Int Val" datatype="int" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE FloatToInt GUI" name="Float To Int" imbeddedFilename="Converters.sem">
            <GUI>
                <Pin name="Float Val" datatype="float"/>
                <Pin name="Int Val" datatype="int" direction="out"/>
            </GUI>
        </Plugin>
        <Plugin id="SE FloatToText" name="Float To Text" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="Float Val" datatype="float"/>
                <Pin name="Text Val" datatype="string" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE FloatToText GUI" name="Float To Text" imbeddedFilename="Converters.sem">
            <GUI>
                <Pin name="Float Val" datatype="float"/>
                <Pin name="Decimal Places" datatype="int" default="-1"/>
                <Pin name="Text Val" datatype="string" direction="out"/>
            </GUI>
        </Plugin>
        <Plugin id="SE GuiSwitch &lt; (Text)" name="Switch &lt; (Text)" imbeddedFilename="Switches.sem">
            <GUI>
                <Pin name="Choice" datatype="int"/>
                <Pin name="Value" datatype="string" direction="out"/>
                <Pin name="Spare" datatype="string" autoRename="true" autoDuplicate="true"/>
            </GUI>
        </Plugin>
        <Plugin id="SE Guitar De-Channelizer" name="Guitar De-Channelizer" imbeddedFilename="GuitarDechannelizer.sem">
            <Audio>
                <Pin name="MIDI In" datatype="midi"/>
                <Pin name="MIDI Out" datatype="midi" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE Increment3B" name="Increment3B" imbeddedFilename="Increment3.sem">
            <GUI>
                <Pin name="Choice" datatype="int"/>
                <Pin name="Item List" datatype="string" default="range 0,10"/>
                <Pin name="Increment" datatype="bool"/>
                <Pin name="Decrement" datatype="bool"/>
                <Pin name="Wrap" datatype="bool" default="1"/>
            </GUI>
        </Plugin>
        <Plugin id="SE Int to Bools" name="Int to Bools" imbeddedFilename="Converters.sem">
            <GUI>
                <Pin name="Value" datatype="int"/>
                <Pin name="Spare" datatype="bool" direction="out" autoRename="true" autoDuplicate="true"/>
            </GUI>
        </Plugin>
        <Plugin id="SE Int64ToInt" name="Int64 To Int" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="Int64 Val" datatype="int64"/>
                <Pin name="Int Val" datatype="int" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE Int64ToIntGui" name="Int64 To Int" imbeddedFilename="Converters.sem">
            <GUI>
                <Pin name="Int64 Val" datatype="int64"/>
                <Pin name="Int Val" datatype="int" direction="out"/>
            </GUI>
        </Plugin>
        <Plugin id="SE IntToBool" name="Int to Bool" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="Int Val" datatype="int"/>
                <Pin name="Bool Val" datatype="bool" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE IntToBool GUI" name="Int to Bool" imbeddedFilename="Converters.sem">
            <GUI>
                <Pin name="Int Val" datatype="int"/>
                <Pin name="Bool Val" datatype="bool" direction="out"/>
            </GUI>
        </Plugin>
        <Plugin id="SE IntToFloat" name="Int To Float" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="Int Val" datatype="int"/>
                <Pin name="Float Val" datatype="float" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE IntToInt64" name="Int To Int64" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="Int Val" datatype="int"/>
                <Pin name="Int64 Val" datatype="int64" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE IntToInt64Gui" name="Int To Int64" imbeddedFilename="Converters.sem">
            <GUI>
                <Pin name="Int Val" datatype="int"/>
                <Pin name="Int64 Val" datatype="int64" direction="out"/>
            </GUI>
        </Plugin>
        <Plugin id="SE IntToText" name="Int To Text" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="Int Val" datatype="int"/>
                <Pin name="Text Val" datatype="string" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE IntToText GUI" name="Int To Text" imbeddedFilename="Converters.sem">
            <GUI>
                <Pin name="Int Val" datatype="int"/>
                <Pin name="Text Val" datatype="string" direction="out"/>
            </GUI>
        </Plugin>
        <Plugin id="SE IntToVolts" name="Int to Volts" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="In" datatype="int"/>
                <Pin name="Out" datatype="float" rate="audio" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE Korg Filter" name="Korg Filter" imbeddedFilename="VaFilters.sem">
            <Audio>
                <Pin name="Signal" datatype="float" rate="audio"/>
                <Pin name="Pitch" datatype="float" rate="audio" default="0.5"/>
                <Pin name="Resonance" datatype="float" rate="audio" default="0.5"/>
                <Pin name="Saturation" datatype="float"/>
                <Pin name="Mode" datatype="enum" metadata="Low Pass"/>
                <Pin name="Saturator" datatype="bool"/>
                <Pin name="Output" datatype="float" rate="audio" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE List to Animation" name="List to Animation" imbeddedFilename="Converters.sem">
            <GUI>
                <Pin name="Choice" datatype="int"/>
                <Pin name="Item List" datatype="string"/>
                <Pin name="Animation Position" datatype="float" direction="out"/>
            </GUI>
        </Plugin>
        <Plugin id="SE ListToInt" name="List To Int" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="List Val" datatype="enum"/>
                <Pin name="Int Val" datatype="int" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE ListToText" name="List to Text" imbeddedFilename="Converters.sem">
            <GUI>
                <Pin name="Choice" datatype="int"/>
                <Pin name="Item List" datatype="string"/>
                <Pin name="Item Text" datatype="string" direction="out"/>
            </GUI>
        </Plugin>
        <Plugin id="SE MIDItoGate2" name="MIDI to Gate2" imbeddedFilename="MidiPlayer2.sem">
            <Audio>
                <Pin name="MIDI In" datatype="midi"/>
                <Pin name="Trigger" datatype="bool" direction="out"/>
                <Pin name="Gate" datatype="bool" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE Menu to Listboxes" name="Menu to Listboxes" imbeddedFilename="Converters.sem">
            <GUI>
                <Pin name="Choice" datatype="int"/>
                <Pin name="Item List" datatype="string"/>
                <Pin name="Choice1" datatype="int" direction="out"/>
                <Pin name="Item List1" datatype="string" direction="out"/>
                <Pin name="Choice2" datatype="int" direction="out"/>
                <Pin name="Item List2" datatype="string" direction="out"/>
            </GUI>
        </Plugin>
        <Plugin id="SE Patch Browser" name="Preset Browser" imbeddedFilename="PatchMemory.sem">
            <GUI>
                <Pin name="Preset" datatype="int" private="true" hostConnect="Program"/>
                <Pin name="PresetNamesList" datatype="string" private="true" hostConnect="ProgramNamesList"/>
                <Pin name="PresetCommand" datatype="int" private="true" hostConnect="PatchCommands"/>
                <Pin name="PresetCommandList" datatype="string" private="true" hostConnect="PatchCommands" parameterField="7"/>
                <Pin name="Preset" datatype="int" direction="out"/>
                <Pin name="Preset Names List" datatype="string" direction="out"/>
                <Pin name="PresetCommand" datatype="int" direction="out"/>
                <Pin name="PresetCommands List" datatype="string" direction="out"/>
                <Pin name="PresetCategoryList" datatype="string" private="true" hostConnect="ProgramCategoriesList"/>
                <Pin name="PresetName" datatype="string" private="true" hostConnect="ProgramName"/>
                <Pin name="Preset Name" datatype="string" direction="out"/>
                <Pin name="PresetCategory" datatype="string" private="true" hostConnect="ProgramCategory"/>
                <Pin name="Preset Category" datatype="string" direction="out"/>
                <Pin name="PresetModified" datatype="bool" private="true" hostConnect="Presets/ProgramModified"/>
                <Pin name="Modified" datatype="bool" direction="out"/>
            </GUI>
        </Plugin>
        <Plugin id="SE PatchMemory Bool" name="PatchMemory Bool" imbeddedFilename="PatchMemory.sem">
            <Parameters>
                <Parameter id="0" datatype="bool" name=""/>
            </Parameters>
            <Audio>
                <Pin name="Value In" datatype="bool" private="true" parameterId="0"/>
                <Pin name="Value Out" datatype="bool" direction="out" autoConfigureParameter="true"/>
            </Audio>
            <GUI>
                <Pin name="Value In" datatype="bool" private="true" parameterId="0"/>
                <Pin name="Name In" datatype="string" private="true" parameterId="0" parameterField="1"/>
                <Pin name="Menu Items" datatype="string" private="true" parameterId="0" parameterField="3"/>
                <Pin name="Menu Selection" datatype="int" private="true" parameterId="0" parameterField="4"/>
                <Pin name="Mouse Down" datatype="bool" private="true" parameterId="0" parameterField="14"/>
                <Pin name="AnimationIn" datatype="float" private="true" parameterId="0" parameterField="15"/>
                <Pin name="Name" datatype="string" direction="out"/>
                <Pin name="Value" datatype="bool" direction="out"/>
                <Pin name="Animation Position" datatype="float" direction="out"/>
                <Pin name="Menu Items" datatype="string" direction="out"/>
                <Pin name="Menu Selection" datatype="int" direction="out"/>
                <Pin name="Mouse Down" datatype="bool" direction="out"/>
            </GUI>
        </Plugin>
        <Plugin id="SE PatchMemory Bool Out" name="PatchMemory Bool Out" imbeddedFilename="PatchMemory.sem">
            <Parameters>
                <Parameter id="0" datatype="bool" name="" ignorePatchChange="true" persistant="false"/>
            </Parameters>
            <Audio>
                <Pin name="Value In" datatype="bool"/>
                <Pin name="PM Value Out" datatype="bool" direction="out" private="true" autoConfigureParameter="true" parameterId="0"/>
            </Audio>
            <GUI>
                <Pin name="PM Value In" datatype="bool" private="true" parameterId="0"/>
                <Pin name="PM Name In" datatype="string" private="true" parameterId="0" parameterField="1"/>
                <Pin name="PM Menu Items" datatype="string" private="true" parameterId="0" parameterField="3"/>
                <Pin name="PM Menu Selection" datatype="int" private="true" parameterId="0" parameterField="4"/>
                <Pin name="AnimationIn" datatype="float" private="true" parameterId="0" parameterField="15"/>
                <Pin name="Name" datatype="string" direction="out"/>
                <Pin name="Value" datatype="bool" direction="out"/>
                <Pin id="8" name="Animation Position" datatype="float" direction="out"/>
                <Pin name="Menu Items" datatype="string" direction="out"/>
                <Pin name="Menu Selection" datatype="int" direction="out"/>
            </GUI>
        </Plugin>
        <Plugin id="SE PatchMemory Float" name="PatchMemory Float3" imbeddedFilename="PatchMemory.sem">
            <Parameters>
                <Parameter id="0" datatype="float" name=""/>
            </Parameters>
            <Audio>
                <Pin name="Value In" datatype="float" private="true" parameterId="0"/>
                <Pin name="Value Out" datatype="float" direction="out" autoConfigureParameter="true"/>
            </Audio>
            <GUI>
                <Pin name="Value In" datatype="float" private="true" parameterId="0"/>
                <Pin name="Name In" datatype="string" private="true" parameterId="0" parameterField="1"/>
                <Pin name="Menu Items" datatype="string" private="true" parameterId="0" parameterField="3"/>
                <Pin name="Menu Selection" datatype="int" private="true" parameterId="0" parameterField="4"/>
                <Pin name="Mouse Down" datatype="bool" private="true" parameterId="0" parameterField="14"/>
                <Pin name="AnimationIn" datatype="float" private="true" parameterId="0" parameterField="15"/>
                <Pin name="Name" datatype="string" direction="out"/>
                <Pin name="Value" datatype="float" direction="out"/>
                <Pin name="Animation Position" datatype="float" direction="out"/>
                <Pin name="Menu Items" datatype="string" direction="out"/>
                <Pin name="Menu Selection" datatype="int" direction="out"/>
                <Pin name="Mouse Down" datatype="bool" direction="out"/>
            </GUI>
        </Plugin>
        <Plugin id="SE PatchMemory Int" name="PatchMemory Int" imbeddedFilename="PatchMemory.sem">
            <Parameters>
                <Parameter id="0" datatype="int" name=""/>
            </Parameters>
            <Audio>
                <Pin name="Value In" datatype="int" private="true" parameterId="0"/>
                <Pin name="Value Out" datatype="int" direction="out" autoConfigureParameter="true"/>
            </Audio>
            <GUI>
                <Pin name="Value In" datatype="int" private="true" parameterId="0"/>
                <Pin name="Name In" datatype="string" private="true" parameterId="0" parameterField="1"/>
                <Pin name="Menu Items" datatype="string" private="true" parameterId="0" parameterField="3"/>
                <Pin name="Menu Selection" datatype="int" private="true" parameterId="0" parameterField="4"/>
                <Pin name="Mouse Down" datatype="bool" private="true" parameterId="0" parameterField="14"/>
                <Pin name="AnimationIn" datatype="float" private="true" parameterId="0" parameterField="15"/>
                <Pin name="Name" datatype="string" direction="out"/>
                <Pin name="Value" datatype="int" direction="out"/>
                <Pin name="Animation Position" datatype="float" direction="out"/>
                <Pin name="Menu Items" datatype="string" direction="out"/>
                <Pin name="Menu Selection" datatype="int" direction="out"/>
                <Pin name="Mouse Down" datatype="bool" direction="out"/>
            </GUI>
        </Plugin>
        <Plugin id="SE PatchMemory List3" name="PatchMemory List3" imbeddedFilename="PatchMemory.sem">
            <Parameters>
                <Parameter id="0" datatype="enum" name=""/>
            </Parameters>
            <Audio>
                <Pin name="Value In" datatype="int" private="true" parameterId="0"/>
                <Pin name="Value Out" datatype="enum" direction="out" autoConfigureParameter="true"/>
            </Audio>
            <GUI>
                <Pin name="Value In" datatype="int" private="true" parameterId="0"/>
                <Pin name="Name In" datatype="string" private="true" parameterId="0" parameterField="1"/>
                <Pin name="List Values" datatype="string" private="true" parameterId="0" parameterField="7"/>
                <Pin name="Menu Items" datatype="string" private="true" parameterId="0" parameterField="3"/>
                <Pin name="Menu Selection" datatype="int" private="true" parameterId="0" parameterField="4"/>
                <Pin name="Mouse Down" datatype="bool" private="true" parameterId="0" parameterField="14"/>
                <Pin name="Name" datatype="string" direction="out"/>
                <Pin name="Choice" datatype="int" direction="out"/>
                <Pin name="Item List" datatype="string" direction="out"/>
                <Pin name="Menu Items" datatype="string" direction="out"/>
                <Pin name="Menu Selection" datatype="int" direction="out"/>
                <Pin name="Mouse Down" datatype="bool" direction="out"/>
            </GUI>
        </Plugin>
        <Plugin id="SE PatchMemory Text2" name="PatchMemory Text2" imbeddedFilename="PatchMemory.sem">
            <Parameters>
                <Parameter id="0" datatype="string" name=""/>
            </Parameters>
            <Audio>
                <Pin name="Value In" datatype="string" private="true" parameterId="0"/>
                <Pin name="Value Out" datatype="string" direction="out" autoConfigureParameter="true"/>
            </Audio>
            <GUI>
                <Pin name="Value In" datatype="string" private="true" parameterId="0"/>
                <Pin name="Name In" datatype="string" private="true" parameterId="0" parameterField="1"/>
                <Pin name="File Extension" datatype="string" private="true" parameterId="0" parameterField="8"/>
                <Pin name="Menu Items" datatype="string" private="true" parameterId="0" parameterField="3"/>
                <Pin name="Menu Selection" datatype="int" private="true" parameterId="0" parameterField="4"/>
                <Pin name="Name" datatype="string" direction="out"/>
                <Pin name="Value" datatype="string" direction="out"/>
                <Pin name="File Extension" datatype="string" direction="out"/>
                <Pin name="Menu Items" datatype="string" direction="out"/>
                <Pin name="Menu Selection" datatype="int" direction="out"/>
            </GUI>
        </Plugin>
        <Plugin id="SE Pitch Bender" name="Pitch Bender" imbeddedFilename="SubControls.sem">
            <Audio>
                <Pin name="Value In" datatype="float" private="true" hostConnect="Bender"/>
                <Pin name="Bender Out" datatype="float" direction="out"/>
            </Audio>
            <GUI>
                <Pin name="Value In" datatype="float" private="true" hostConnect="Bender"/>
                <Pin name="Bender" datatype="float" direction="out"/>
            </GUI>
        </Plugin>
        <Plugin id="SE Plain Image" name="Plain Image" imbeddedFilename="SubControlsXp.sem">
            <GUI graphicsApi="GmpiGui">
                <Pin name="Filename" datatype="string" default="background" isFilename="true" metadata="bmp"/>
                <Pin name="Display" datatype="enum" isMinimised="true" metadata="Fixed Size, Tiled, Stretch"/>
            </GUI>
        </Plugin>
        <Plugin id="SE Popup Menu XP" name="Popup Menu" imbeddedFilename="SubControlsXp.sem">
            <GUI graphicsApi="GmpiGui">
                <Pin name="Choice" datatype="int"/>
                <Pin name="Item List" datatype="string"/>
                <Pin name="Style" datatype="string" default="normal"/>
                <Pin name="Writeable" datatype="bool" default="1"/>
                <Pin name="Greyed" datatype="bool"/>
                <Pin name="Hint" datatype="string"/>
                <Pin name="Menu Items" datatype="string"/>
                <Pin name="Menu Selection" datatype="int"/>
                <Pin name="Heading" datatype="string" default="Menu"/>
                <Pin name="Momentary" datatype="bool"/>
                <Pin name="Enable Special Strings" datatype="bool" default="1" private="true"/>
            </GUI>
        </Plugin>
        <Plugin id="SE Rectangle XP" name="Rectangle" imbeddedFilename="SubControlsXp.sem">
            <GUI graphicsApi="GmpiGui">
                <Pin name="Corner Radius" datatype="float" default="10" isMinimised="true"/>
                <Pin name="Top Left" datatype="bool" default="1" isMinimised="true"/>
                <Pin name="Top Right" datatype="bool" default="1" isMinimised="true"/>
                <Pin name="Bottom Left" datatype="bool" default="1" isMinimised="true"/>
                <Pin name="Bottom Right" datatype="bool" default="1" isMinimised="true"/>
                <Pin name="Top Color" datatype="string" default="FF9A9AAA"/>
                <Pin name="Bottom Color" datatype="string" default="FF858595"/>
            </GUI>
        </Plugin>
        <Plugin id="SE Streaming State" name="Streaming State" imbeddedFilename="StreamingState.sem">
            <Audio>
                <Pin name="Signal In" datatype="float" rate="audio"/>
                <Pin name="Streaming" datatype="float" rate="audio" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE Switch &lt; (MIDI)" name="Switch &lt; (MIDI)" imbeddedFilename="Switches.sem">
            <Audio>
                <Pin name="Choice" datatype="enum" metadata="{AUTO}"/>
                <Pin name="Input" datatype="midi"/>
                <Pin name="Spare Output" datatype="midi" direction="out" autoRename="true" autoDuplicate="true"/>
            </Audio>
        </Plugin>
        <Plugin id="SE Switch &gt; (Bool)" name="Switch &gt; (Bool)" imbeddedFilename="Switches.sem">
            <Audio>
                <Pin name="Choice" datatype="enum" metadata="{AUTO}"/>
                <Pin name="Output" datatype="bool" direction="out"/>
                <Pin name="Spare Input" datatype="bool" autoRename="true" linearInput="true" autoDuplicate="true"/>
            </Audio>
        </Plugin>
        <Plugin id="SE System Command" name="System Command" imbeddedFilename="SystemCommand.sem">
            <GUI>
                <Pin name="Trigger" datatype="bool" direction="out"/>
                <Pin name="Command" datatype="int"/>
                <Pin name="Command List" datatype="string" direction="out"/>
                <Pin name="Filename" datatype="string"/>
            </GUI>
        </Plugin>
        <Plugin id="SE Text Entry4" name="Text Entry4" imbeddedFilename="SubControlsXp.sem">
            <GUI graphicsApi="GmpiGui">
                <Pin name="Text" datatype="string"/>
                <Pin name="Style" datatype="string" default="normal"/>
                <Pin name="Multiline" datatype="bool"/>
                <Pin name="Writeable" datatype="bool" default="1"/>
                <Pin name="Greyed" datatype="bool"/>
                <Pin name="Hint" datatype="string"/>
                <Pin name="Menu Items" datatype="string"/>
                <Pin name="Menu Selection" datatype="int"/>
                <Pin name="Mouse Down" datatype="bool" direction="out" private="true"/>
                <Pin name="Mouse Down" datatype="bool"/>
            </GUI>
        </Plugin>
        <Plugin id="SE Text8ToText" name="Text8 To Text" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="Text Val" datatype="string_utf8"/>
                <Pin name="Text Val" datatype="string" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE TextToBool" name="Text To Bool" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="Text Val" datatype="string"/>
                <Pin name="Bool Val" datatype="bool" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE TextToFloat" name="Text To Float" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="Text Val" datatype="string"/>
                <Pin name="Float Val" datatype="float" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE TextToInt" name="Text To Int" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="Text Val" datatype="string"/>
                <Pin name="Int Val" datatype="int" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE TextToText8" name="Text To Text8" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="Text Val" datatype="string"/>
                <Pin name="Text Val" datatype="string_utf8" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE Unit Converter (Volts)" name="Unit Converter (Volts)" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="A" datatype="float" rate="audio"/>
                <Pin name="B" datatype="float" rate="audio" direction="out"/>
                <Pin name="Mode" datatype="enum" isMinimised="true" metadata="kHz to Octave (Volts), dB to VCA(dB), dB to VCA(exp), Volts to KHz=100, VCA(dB) Volts to dB, VCA(exp) Volts to dB"/>
            </Audio>
        </Plugin>
        <Plugin id="SE VoltsToBool" name="Volts to Bool" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="In" datatype="float" rate="audio"/>
                <Pin name="Out" datatype="bool" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE VoltsToInt" name="Volts to Int" imbeddedFilename="Converters.sem">
            <Audio>
                <Pin name="In" datatype="float" rate="audio"/>
                <Pin name="Out" datatype="int" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE Waveshaper2B" name="Waveshaper2B" imbeddedFilename="Waveshapers.sem">
            <Audio>
                <Pin name="Formula" datatype="string" default="5 * sin(x/PI)"/>
                <Pin name="Signal In" datatype="float" rate="audio"/>
                <Pin name="Signal Out" datatype="float" rate="audio" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SE:GUIFixedValues_text" name="Fixed Values (text)" imbeddedFilename="SubControlsXp.sem">
            <GUI>
                <Pin name="Val" datatype="string" direction="out" autoRename="true" settableOutput="true" autoDuplicate="true"/>
            </GUI>
        </Plugin>
        <Plugin id="Sasha-1-Pole Eco" name="s 1-Pole Eco" imbeddedFilename="Sasha-Filters.sem">
            <Audio>
                <Pin name="Active" datatype="bool" default="1"/>
                <Pin name="Mode" datatype="enum" metadata="LP, HP"/>
                <Pin name="In" datatype="float" rate="audio"/>
                <Pin name="Pitch" datatype="float" rate="audio" default="0.5"/>
                <Pin name="Out" datatype="float" rate="audio" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="Sasha-1-Pole Eco Stereo" name="s 1-Pole Eco ST" imbeddedFilename="Sasha-Filters.sem">
            <Audio>
                <Pin name="Active" datatype="bool" default="1"/>
                <Pin name="Mode" datatype="enum" metadata="LP, HP"/>
                <Pin name="In L" datatype="float" rate="audio"/>
                <Pin name="In R" datatype="float" rate="audio"/>
                <Pin name="Pitch" datatype="float" rate="audio" default="0.5"/>
                <Pin name="Out L" datatype="float" rate="audio" direction="out"/>
                <Pin name="Out R" datatype="float" rate="audio" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="Sasha-All Pass" name="s All Pass" imbeddedFilename="Sasha-FreeModules.sem">
            <Audio>
                <Pin name="Active" datatype="bool" default="1"/>
                <Pin name="In" datatype="float" rate="audio" linearInput="true"/>
                <Pin name="Max Delay (s)" datatype="float" default="1" isMinimised="true"/>
                <Pin name="Modulation" datatype="float" rate="audio" default="1" metadata=",, 10, 0"/>
                <Pin name="Diffusion" datatype="float" rate="audio" default="-0.5" metadata=",, 5, -5"/>
                <Pin name="Interpolate" datatype="bool" default="1" isMinimised="true"/>
                <Pin name="Out" datatype="float" rate="audio" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="Sasha-Anti-Aliasing" name="s Anti-Aliasing" imbeddedFilename="Sasha-Oscillator.sem">
            <Audio>
                <Pin name="Waveform" datatype="enum" isMinimised="true" metadata="Saw, Parabola"/>
                <Pin name="Increment" datatype="float" rate="audio"/>
                <Pin name="Phasor" datatype="float" rate="audio"/>
                <Pin name="Bipolar" datatype="bool" default="1" isMinimised="true"/>
                <Pin name="Out" datatype="float" rate="audio" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="Sasha-Arpeggiator" name="s Arpeggiator" imbeddedFilename="Sasha-Arpeggiator.sem">
            <Audio>
                <Pin name="Active" datatype="bool" default="1"/>
                <Pin name="In" datatype="midi"/>
                <Pin name="Mode" datatype="enum" metadata="Up, Down, Alt 1, Alt 2, Random"/>
                <Pin name="Octaves" datatype="enum" metadata="1, 2, 3, 4"/>
                <Pin name="Clock" datatype="bool"/>
                <Pin name="Reset" datatype="bool"/>
                <Pin name="Out" datatype="midi" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="Sasha-Delay" name="s Delay" imbeddedFilename="Sasha-FreeModules.sem">
            <Audio>
                <Pin name="Active" datatype="bool" default="1"/>
                <Pin name="In" datatype="float" rate="audio" linearInput="true"/>
                <Pin name="Max Delay (s)" datatype="float" default="1" isMinimised="true"/>
                <Pin name="Modulation" datatype="float" rate="audio" default="1" metadata=",, 10, 0"/>
                <Pin name="Feedback" datatype="float" rate="audio" metadata=",, 10, 0"/>
                <Pin name="Interpolate" datatype="bool" default="1" isMinimised="true"/>
                <Pin name="Out" datatype="float" rate="audio" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="Sasha-EQ Control" name="s EQ Control" imbeddedFilename="Sasha-EqControl.sem">
            <GUI graphicsApi="GmpiGui">
                <Pin name="Frequency" datatype="float"/>
                <Pin name="Q" datatype="float"/>
                <Pin name="Gain" datatype="float"/>
                <Pin name="Mouse Down" datatype="bool"/>
                <Pin name="Mouse Over" datatype="bool"/>
                <Pin name="Background" datatype="string" default="333333"/>
                <Pin name="Foreground" datatype="string" default="44EEEE"/>
                <Pin name="Edit Frequency" datatype="bool" default="1" isMinimised="true"/>
                <Pin name="Edit Q" datatype="bool" default="1" isMinimised="true"/>
                <Pin name="Edit Gain" datatype="bool" default="1" isMinimised="true"/>
            </GUI>
        </Plugin>
        <Plugin id="Sasha-EQ Filter Stereo" name="s EQ ST" imbeddedFilename="Sasha-Filters.sem">
            <Audio>
                <Pin name="Active" datatype="bool" default="1"/>
                <Pin name="Mode" datatype="enum" default="1" metadata="Low Shelf, Peak, High Shelf"/>
                <Pin name="In L" datatype="float" rate="audio"/>
                <Pin name="In R" datatype="float" rate="audio"/>
                <Pin name="Pitch" datatype="float" rate="audio" default="0.5"/>
                <Pin name="Q" datatype="float" rate="audio" default="0.5"/>
                <Pin name="Gain" datatype="float" rate="audio" metadata=",, 5, -5"/>
                <Pin name="Out L" datatype="float" rate="audio" direction="out"/>
                <Pin name="Out R" datatype="float" rate="audio" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="Sasha-FreqAnalyser 2" name="s Freq Analyser" imbeddedFilename="Sasha-FreeModules.sem">
            <Parameters>
                <Parameter id="0" datatype="blob" name="Spectrum" private="true" ignorePatchChange="true" persistant="false"/>
            </Parameters>
            <Audio>
                <Pin name="Spectrum" datatype="blob" direction="out" private="true" parameterId="0"/>
                <Pin name="In" datatype="float" rate="audio" linearInput="true"/>
            </Audio>
            <GUI graphicsApi="GmpiGui">
                <Pin name="Spectrum" datatype="blob" private="true" parameterId="0"/>
                <Pin name="Slope (dB)" datatype="float"/>
                <Pin name="Fade (dB)" datatype="float" default="-1"/>
                <Pin name="Hz High" datatype="int" default="20000"/>
                <Pin name="Hz Low" datatype="int" default="20"/>
                <Pin name="dB High" datatype="int" default="12"/>
                <Pin name="dB Low" datatype="int" default="-84"/>
                <Pin name="Row Size (dB)" datatype="int" default="12"/>
                <Pin name="Spectrum Color" datatype="string" default="FF88AA"/>
                <Pin name="Spectrum Opacity" datatype="float" default="0.125"/>
                <Pin name="Text Color" datatype="string" default="88C4D6F8"/>
                <Pin name="Grid Opacity" datatype="float" default="0.125"/>
                <Pin name="Background Color" datatype="string" default="08193B"/>
                <Pin name="Top Hz Scale" datatype="bool"/>
                <Pin name="Bottom Hz Scale" datatype="bool" default="1"/>
                <Pin name="Left dB Scale" datatype="bool" default="1"/>
                <Pin name="Right dB Scale" datatype="bool" default="1"/>
                <Pin name="Accent Lines" datatype="bool" default="1"/>
            </GUI>
        </Plugin>
        <Plugin id="Sasha-Hi-Res Image" name="s Hi-Res Image" imbeddedFilename="Sasha-FreeModules.sem">
            <GUI graphicsApi="GmpiGui">
                <Pin name="Filename" datatype="string" default="knob_med" isFilename="true" metadata="bmp"/>
                <Pin name="Animation Position" datatype="float"/>
                <Pin name="Mouse Down" datatype="bool"/>
                <Pin name="Columns" datatype="int" default="1" isMinimised="true"/>
                <Pin name="Rows" datatype="int" default="25" isMinimised="true"/>
                <Pin name="Density" datatype="float" default="2" isMinimised="true"/>
                <Pin name="Mouse Precision" datatype="float" default="200" isMinimised="true"/>
                <Pin name="Fine Factor" datatype="float" default="5" isMinimised="true"/>
                <Pin name="Hint" datatype="string"/>
                <Pin name="Menu Items" datatype="string"/>
                <Pin name="Menu Selection" datatype="int"/>
                <Pin name="Frame Count" datatype="int" direction="out"/>
                <Pin name="Mouse Over" datatype="bool" direction="out"/>
            </GUI>
        </Plugin>
        <Plugin id="Sasha-LFO" name="s LFO" imbeddedFilename="Sasha-Oscillator.sem">
            <Audio>
                <Pin name="Active" datatype="bool" default="1"/>
                <Pin name="Waveform" datatype="enum" metadata="Sine-Saw, Tri-Saw, Square-Pulse, Random-Smooth"/>
                <Pin name="Pitch" datatype="float" rate="audio" default="-0.5" metadata=",, 0, -10"/>
                <Pin name="Pulse Width" datatype="float" rate="audio" default="0.5"/>
                <Pin name="Sync" datatype="float" rate="audio" metadata=",, 5, -5"/>
                <Pin name="Phase" datatype="float" rate="audio" metadata=",, 10, 0"/>
                <Pin name="Bipolar" datatype="bool" default="1"/>
                <Pin name="Out" datatype="float" rate="audio" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="Sasha-LFO Simple" name="s LFO Simple" imbeddedFilename="Sasha-Oscillator.sem">
            <Audio>
                <Pin name="Active" datatype="bool" default="1"/>
                <Pin name="Waveform" datatype="enum" metadata="Sine, Tri, Saw, Square, Random"/>
                <Pin name="Pitch" datatype="float" rate="audio" default="-0.5" metadata=",, 0, -10"/>
                <Pin name="Sync" datatype="float" rate="audio" metadata=",, 5, -5"/>
                <Pin name="Phase" datatype="float" rate="audio" metadata=",, 10, 0"/>
                <Pin name="Bipolar" datatype="bool" default="1"/>
                <Pin name="Out" datatype="float" rate="audio" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="Sasha-LFO Stereo" name="s LFO Stereo" imbeddedFilename="Sasha-Oscillator.sem">
            <Audio>
                <Pin name="Active" datatype="bool" default="1"/>
                <Pin name="Pitch" datatype="float" rate="audio" default="-0.5" metadata=",, 0, -10"/>
                <Pin name="Sync" datatype="float" rate="audio" metadata=",, 5, -5"/>
                <Pin name="Phase L" datatype="float" rate="audio" metadata=",, 10, 0"/>
                <Pin name="Phase R" datatype="float" rate="audio" metadata=",, 10, 0"/>
                <Pin name="Bipolar" datatype="bool" default="1"/>
                <Pin name="L" datatype="float" rate="audio" direction="out"/>
                <Pin name="R" datatype="float" rate="audio" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="Sasha-LFO Triangle" name="s LFO Triangle" imbeddedFilename="Sasha-Oscillator.sem">
            <Audio>
                <Pin name="Active" datatype="bool" default="1"/>
                <Pin name="Pitch" datatype="float" rate="audio" default="-0.5" metadata=",, 0, -10"/>
                <Pin name="Sync" datatype="float" rate="audio" metadata=",, 5, -5"/>
                <Pin name="Phase" datatype="float" rate="audio" metadata=",, 10, 0"/>
                <Pin name="Bipolar" datatype="bool" default="1"/>
                <Pin name="Out" datatype="float" rate="audio" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="Sasha-List to Texts" name="◀ s List to Texts" imbeddedFilename="Sasha-FreeModules.sem">
            <GUI>
                <Pin name="Text List" datatype="string"/>
                <Pin name="Spare" datatype="string" direction="out" autoRename="true" autoDuplicate="true"/>
            </GUI>
        </Plugin>
        <Plugin id="Sasha-Listbox" name="s Listbox" imbeddedFilename="Sasha-FreeModules.sem">
            <GUI graphicsApi="GmpiGui">
                <Pin name="Choice" datatype="int"/>
                <Pin name="Item List" datatype="string" default="1,2,3"/>
                <Pin name="Style" datatype="string" default="normal"/>
                <Pin name="Writeable" datatype="bool" default="1"/>
                <Pin name="Greyed" datatype="bool"/>
                <Pin name="Hint" datatype="string"/>
                <Pin name="Menu Items" datatype="string"/>
                <Pin name="Menu Selection" datatype="int"/>
                <Pin name="Text Color" datatype="string" default="FFFFFF" isMinimised="true"/>
                <Pin name="Text Selected" datatype="string" default="FFFFFF" isMinimised="true"/>
                <Pin name="Scroll Bar" datatype="string" default="80808080" isMinimised="true"/>
                <Pin name="Selected Bg" datatype="string" default="0080FF" isMinimised="true"/>
                <Pin name="Background" datatype="string" default="00000000" isMinimised="true"/>
                <Pin name="Font Size" datatype="float" default="14" isMinimised="true"/>
                <Pin name="Row Height" datatype="float" default="20" isMinimised="true"/>
                <Pin name="Padding" datatype="float" default="8" isMinimised="true"/>
            </GUI>
        </Plugin>
        <Plugin id="Sasha-Merge Text" name="s Merge 1" imbeddedFilename="Sasha-FreeModules.sem">
            <GUI>
                <Pin name="Separator" datatype="string"/>
                <Pin name="Text" datatype="string" direction="out"/>
                <Pin name="Spare" datatype="string" autoRename="true" autoDuplicate="true"/>
            </GUI>
        </Plugin>
        <Plugin id="Sasha-Noise" name="s Noise" imbeddedFilename="Sasha-Oscillator.sem">
            <Audio>
                <Pin name="Active" datatype="bool" default="1"/>
                <Pin name="Out" datatype="float" rate="audio" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="Sasha-Oscillator" name="s Oscillator" imbeddedFilename="Sasha-Oscillator.sem">
            <Audio>
                <Pin name="Active" datatype="bool" default="1"/>
                <Pin name="Waveform" datatype="enum" metadata="Saw, Pulse, Tri, Sine"/>
                <Pin name="Pitch" datatype="float" rate="audio" default="0.5" metadata=",, 10, 0"/>
                <Pin name="Pulse Width" datatype="float" rate="audio" default="0.5"/>
                <Pin name="Sync" datatype="float" rate="audio" metadata=",, 5, -5"/>
                <Pin name="Phase" datatype="float" rate="audio" metadata=",, 10, 0"/>
                <Pin name="Out" datatype="float" rate="audio" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="Sasha-Phaser Stereo" name="s Phaser ST" imbeddedFilename="Sasha-Filters.sem">
            <Audio>
                <Pin name="Active" datatype="bool" default="1"/>
                <Pin name="Stages" datatype="enum" default="6" metadata="2=2, 4=4, 6=6, 8=8"/>
                <Pin name="In L" datatype="float" rate="audio"/>
                <Pin name="In R" datatype="float" rate="audio"/>
                <Pin name="Pitch L" datatype="float" rate="audio" default="0.5"/>
                <Pin name="Pitch R" datatype="float" rate="audio" default="0.5"/>
                <Pin name="Resonance" datatype="float" rate="audio"/>
                <Pin name="Mix" datatype="float" rate="audio" default="0.5" metadata=",, 5, -5"/>
                <Pin name="Out L" datatype="float" rate="audio" direction="out"/>
                <Pin name="Out R" datatype="float" rate="audio" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="Sasha-Phasor" name="s Phasor" imbeddedFilename="Sasha-Oscillator.sem">
            <Audio>
                <Pin name="Active" datatype="bool" default="1"/>
                <Pin name="Pitch" datatype="float" rate="audio" default="0.5" metadata=",, 10, 0"/>
                <Pin name="Sync" datatype="float" rate="audio" metadata=",, 5, -5"/>
                <Pin name="Phase" datatype="float" rate="audio" metadata=",, 10, 0"/>
                <Pin name="Bipolar" datatype="bool" default="1" isMinimised="true"/>
                <Pin name="Increment" datatype="float" rate="audio" direction="out"/>
                <Pin name="Phasor" datatype="float" rate="audio" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="Sasha-Polyphony Control" name="s Polyphony" imbeddedFilename="Sasha-PolyphonyControl.sem">
            <Parameters>
                <Parameter id="0" datatype="int" name="Voice Mode" private="true"/>
            </Parameters>
            <Audio>
                <Pin name="Parameter Voice Mode" datatype="int" private="true" parameterId="0"/>
                <Pin name="Voice Mode" datatype="enum" direction="out"/>
            </Audio>
            <GUI>
                <Pin name="Parameter Voice Mode" datatype="int" private="true" parameterId="0"/>
                <Pin name="Voice Mode" datatype="int" direction="out"/>
                <Pin name="Voice Mode List" datatype="string" direction="out"/>
                <Pin name="Host Polyphony" datatype="int" private="true" hostConnect="Polyphony"/>
                <Pin name="Host Polyphony Reserve" datatype="int" private="true" hostConnect="ReserveVoices"/>
                <Pin name="Host VoiceAllocationMode" datatype="int" private="true" hostConnect="VoiceAllocationMode"/>
                <Pin name="Host PortamentoTime" datatype="float" private="true" hostConnect="Portamento"/>
                <Pin name="Host BenderRange" datatype="float" private="true" hostConnect="BenderRange"/>
            </GUI>
        </Plugin>
        <Plugin id="Sasha-Popup Menu" name="s Popup Menu" imbeddedFilename="Sasha-FreeModules.sem">
            <GUI graphicsApi="GmpiGui">
                <Pin name="Choice" datatype="int"/>
                <Pin name="Item List" datatype="string" default="1,2,3"/>
                <Pin name="Style" datatype="string" default="normal"/>
                <Pin name="Writeable" datatype="bool" default="1"/>
                <Pin name="Greyed" datatype="bool"/>
                <Pin name="Hint" datatype="string"/>
                <Pin name="Menu Items" datatype="string"/>
                <Pin name="Menu Selection" datatype="int"/>
                <Pin name="Heading" datatype="string" default="Menu"/>
                <Pin name="Trigger Mode" datatype="bool"/>
                <Pin name="Mouse Over" datatype="bool" direction="out"/>
            </GUI>
        </Plugin>
        <Plugin id="Sasha-Quantizer" name="s Quantize" imbeddedFilename="Sasha-Quantizer.sem">
            <Audio>
                <Pin name="In" datatype="float" rate="audio"/>
                <Pin name="Step" datatype="float" rate="audio" default="0.1"/>
                <Pin name="Out" datatype="float" rate="audio" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="Sasha-Reset" name="s Reset 1" imbeddedFilename="Sasha-FreeModules.sem">
            <GUI>
                <Pin name="Animation Position" datatype="float"/>
                <Pin name="Mouse Down" datatype="bool"/>
                <Pin name="Reset Value" datatype="float" isMinimised="true"/>
                <Pin name="Interval (ms)" datatype="float" default="266" isMinimised="true"/>
                <Pin name="Spring" datatype="bool" isMinimised="true"/>
                <Pin name="Randomize" datatype="bool" direction="out"/>
                <Pin name="Reset" datatype="bool" direction="out"/>
            </GUI>
        </Plugin>
        <Plugin id="Sasha-Reset 4" name="s Reset" imbeddedFilename="Sasha-FreeModules.sem">
            <GUI>
                <Pin name="Animation Position" datatype="float"/>
                <Pin name="Mouse Down" datatype="bool"/>
                <Pin name="Interval (ms)" datatype="float" default="250" isMinimised="true"/>
                <Pin name="Spring" datatype="bool" isMinimised="true"/>
                <Pin name="Reset" datatype="bool"/>
                <Pin name="Reset Value" datatype="float" default="0.5" isMinimised="true"/>
                <Pin name="Randomize" datatype="bool"/>
                <Pin name="Random Max" datatype="float" default="1" isMinimised="true"/>
                <Pin name="Random Min" datatype="float" isMinimised="true"/>
            </GUI>
        </Plugin>
        <Plugin id="Sasha-Saturate" name="s Saturate 1" imbeddedFilename="Sasha-FreeModules.sem">
            <Audio>
                <Pin name="In" datatype="float" rate="audio"/>
                <Pin name="Drive" datatype="float" rate="audio"/>
                <Pin name="Out" datatype="float" rate="audio" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="Sasha-Scope" name="s Scope" imbeddedFilename="Sasha-FreeModules.sem">
            <Parameters>
                <Parameter id="0" datatype="blob" name="Trace A" private="true" ignorePatchChange="true" isPolyphonic="true" persistant="false"/>
                <Parameter id="1" datatype="blob" name="Trace B" private="true" ignorePatchChange="true" isPolyphonic="true" persistant="false"/>
                <Parameter id="2" datatype="bool" name="Polyphonic" private="true" ignorePatchChange="true" persistant="false"/>
            </Parameters>
            <Audio>
                <Pin name="Voice Active" datatype="float" private="true" isPolyphonic="true" hostConnect="Voice/Active"/>
                <Pin name="Trace A" datatype="blob" direction="out" private="true" isPolyphonic="true" parameterId="0"/>
                <Pin name="Trace B" datatype="blob" direction="out" private="true" isPolyphonic="true" parameterId="1"/>
                <Pin name="Polyphonic" datatype="bool" direction="out" private="true" parameterId="2"/>
                <Pin name="In A" datatype="float" rate="audio"/>
                <Pin name="In B" datatype="float" rate="audio"/>
            </Audio>
            <GUI graphicsApi="GmpiGui">
                <Pin name="Voice Gate" datatype="float" private="true" isPolyphonic="true" hostConnect="Voice/Gate"/>
                <Pin name="Trace A" datatype="blob" private="true" isPolyphonic="true" parameterId="0"/>
                <Pin name="Trace B" datatype="blob" private="true" isPolyphonic="true" parameterId="1"/>
                <Pin name="Polyphonic" datatype="bool" private="true" parameterId="2"/>
                <Pin name="Trace A Color" datatype="string" default="FF88AA"/>
                <Pin name="Trace B Color" datatype="string" default="88AAFF"/>
                <Pin name="Trace Poly Opacity" datatype="float" default="0.125"/>
                <Pin name="Text Color" datatype="string" default="88C4D6F8"/>
                <Pin name="Grid Opacity" datatype="float" default="0.125"/>
                <Pin name="Background Color" datatype="string" default="08193B"/>
                <Pin name="Left Volt Scale" datatype="bool" default="1"/>
                <Pin name="Right Volt Scale" datatype="bool" default="1"/>
                <Pin name="Accent Lines" datatype="bool" default="1"/>
            </GUI>
        </Plugin>
        <Plugin id="Sasha-Song Position" name="s Song Position" imbeddedFilename="Sasha-FreeModules.sem">
            <Audio>
                <Pin name="Host BPM" datatype="float" private="true" hostConnect="Time/BPM"/>
                <Pin name="Host Transport" datatype="bool" private="true" hostConnect="Time/TransportPlaying"/>
                <Pin name="Host Position" datatype="float" private="true" hostConnect="Time/SongPosition"/>
                <Pin name="Tempo Out" datatype="float" rate="audio" direction="out"/>
                <Pin name="Transport Run" datatype="float" rate="audio" direction="out"/>
                <Pin name="Song Position" datatype="float" rate="audio" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="Sasha-Unit Delay" name="s Unit Delay" imbeddedFilename="Sasha-FreeModules.sem">
            <Audio>
                <Pin name="In" datatype="float" rate="audio" linearInput="true"/>
                <Pin name="Out" datatype="float" rate="audio" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="Sasha-Voice Number" name="s Voice Number" imbeddedFilename="Sasha-FreeModules.sem">
            <Audio>
                <Pin name="Gate" datatype="float" private="true" hostConnect="Voice/Gate"/>
                <Pin name="Voice Number" datatype="int" direction="out"/>
            </Audio>
        </Plugin>
        <Plugin id="SynthEdit ADSR" name="ADSR2" imbeddedFilename="EnveloperAdsr.sem">
            <Audio>
                <Pin name="Trigger" datatype="float" rate="audio" default="0.1"/>
                <Pin name="Gate" datatype="float" rate="audio" default="0.1"/>
                <Pin name="Attack" datatype="float" rate="audio"/>
                <Pin name="Decay" datatype="float" rate="audio" default="0.5"/>
                <Pin name="Sustain" datatype="float" rate="audio" default="0.7"/>
                <Pin name="Release" datatype="float" rate="audio" default="0.4"/>
                <Pin name="Overall Level" datatype="float" rate="audio" default="1"/>
                <Pin name="Signal Out" datatype="float" rate="audio" direction="out"/>
                <Pin name="VoiceReset" datatype="float" private="true" isPolyphonic="true" hostConnect="Voice/Active"/>
            </Audio>
        </Plugin>
        <Plugin id="SynthEdit Increment3" name="Increment3" imbeddedFilename="Increment3.sem">
            <GUI>
                <Pin name="Choice" datatype="int"/>
                <Pin name="Item List" datatype="string" default="range 0,10"/>
                <Pin name="Increment" datatype="bool" direction="out"/>
                <Pin name="Decrement" datatype="bool" direction="out"/>
                <Pin name="Wrap" datatype="bool" default="1"/>
            </GUI>
        </Plugin>
        <Plugin id="SynthEdit Inverter2" name="Inverter2" imbeddedFilename="Inverter.sem">
            <Audio>
                <Pin name="Signal In" datatype="float" rate="audio" linearInput="true"/>
                <Pin name="Signal Out" datatype="float" rate="audio" direction="out"/>
            </Audio>
        </Plugin>
    </PluginList>
</Document>
